package locasto.monocrack;

import java.io.*;

public class CipherChart{

	public CipherChart(){}

	public void process( int [] cipherTextFrequency, Writer out ) throws IOException{
		out.write( "<pre>" );
		out.write( "     " );
		for( int i=0;i<26;i++ ){
			out.write( cipherTextFrequency[i]+"% " );
		}
		out.write( "<br>\n" );
		out.write( "     " );
		for( int i=0;i<76;i++ ){
			out.write( "-" );
		}
		out.write( "<br>\n" );
		for( int rowCounter=20;rowCounter>=0;rowCounter-- ){
			out.write( " " );

			if( rowCounter==0 ){
				out.write( "0  " );
			}else if( rowCounter == 5 ){
				out.write( rowCounter+"  " );
			}else if( rowCounter == 10 ){
				out.write( rowCounter+" " );
			}else if( rowCounter == 15 ){
				out.write( rowCounter+" " );
			}else if( rowCounter == 20 ){
				out.write( rowCounter+" " );
			}else{
				out.write( "   " );
			}

			out.write( "| " );

			for( int colCounter=0;colCounter<26;colCounter++ ){
				if( (cipherTextFrequency[ colCounter ] >= rowCounter) ){
					out.write( "*  " );
				}else{
					out.write( "   " );
				}
			}
			out.write( "\n" );
		}

		out.write( "     " );
		for( int i=0;i<76;i++ ){
			out.write( "-" );
		}
		out.write( "<br>\n" );

		out.write( "      " );
		for( char x=0;x<26;x++ ){
			out.write( ""+((char)(x+65))+"  " );
		}
		out.write( "" );
		out.write( "</pre>" );
	}

	/**
	 * Use printstream
	*/
	public void process( int [] cipherTextFrequency, PrintStream out ){

		out.print( "     " );
		for( int i=0;i<26;i++ ){
			out.print( cipherTextFrequency[i]+"% " );
		}
		out.println( "" );
		out.print( "     " );
		for( int i=0;i<76;i++ ){
			out.print( "-" );
		}
		out.println( "" );
		for( int rowCounter=20;rowCounter>=0;rowCounter-- ){
			out.print( " " );

			if( rowCounter==0 ){
				out.print( "0  " );
			}else if( rowCounter == 5 ){
				out.print( rowCounter+"  " );
			}else if( rowCounter == 10 ){
				out.print( rowCounter+" " );
			}else if( rowCounter == 15 ){
				out.print( rowCounter+" " );
			}else if( rowCounter == 20 ){
				out.print( rowCounter+" " );
			}else{
				out.print( "   " );
			}

			out.print( "| " );

			for( int colCounter=0;colCounter<26;colCounter++ ){
				if( (cipherTextFrequency[ colCounter ] >= rowCounter) ){
					out.print( "*  " );
				}else{
					out.print( "   " );
				}
			}
			out.println( "" );
		}

		out.print( "     " );
		for( int i=0;i<76;i++ ){
			out.print( "-" );
		}
		out.println( "" );

		out.print( "      " );
		for( char x=0;x<26;x++ ){
			out.print( ""+((char)(x+65))+"  " );
		}
		out.println( "" );
	}



}
