package locasto.monocrack;

import java.io.*;
import java.util.*;


public class AlphabetLoader{

	private int [] frequency = new int[ 26 ];
	private int [] textCounter = new int[ 26 ];

	public AlphabetLoader(){
	}

	public void process( String filename ){

		int totalTextLetters = 0;

		Properties alphabet = new Properties();
		try{
			alphabet.load( new FileInputStream( new File( filename ) ) );
			for( int i=0;i<26;i++ ){
				textCounter[i]=Integer.parseInt( alphabet.getProperty( "mc."+((char)(i+65)), "0" ) );
				totalTextLetters+=textCounter[i];
			}

			for( int i=0;i<26;i++ ){
				frequency[i]= ((textCounter[i]*100)/totalTextLetters);
			}
		}catch( Exception e ){}

	}
	
	public int [] getFrequency(){
		return frequency;
	}

}