package locasto.monocrack;

import java.util.*;

/** 
 * This is probably a rare but very valuable clue.
 * N'T  <----
 * 'S <--
 * 'M <--
 * 'D <--
 * 'LL <--
 * 'VE <--
 * 'RE <--
 *
*/
public class AposRule{

	private String output;

	/** Store ciphertext letters in here that may be:
	 * T, S, M, D
	*/
	private Vector singleLetter = new Vector();

	/**
	 * Store ciphertext strings in here that may correspond to:
	 *
	 * LL, VE, RE
	*/
	private Vector doubleLetter = new Vector();


	public AposRule(){
	}

	public void process( String input ){
		singleLetter.clear();
		doubleLetter.clear();
		
		StringTokenizer tokens = new StringTokenizer( input, " \t\n", false );
		int i=0;
		int aposPos=-1;
		String word;
		StringBuffer stringBuffer = new StringBuffer( 2*input.length() );

		while( tokens.hasMoreTokens() ){
			word = tokens.nextToken();
			aposPos = word.indexOf( '\'' );
			if( aposPos != -1 ){
				switch( ((word.length()-1)-aposPos) ){
					case 1: 
						singleLetter.addElement( word.substring( (aposPos+1), word.length() ) );
						break;
					case 2:
						doubleLetter.addElement( word.substring( (aposPos+1), word.length() ) );
						break;
					default:
						//ignore tokens
				}
			}
			if( i!=0 )
				stringBuffer.append( " " );
			stringBuffer.append( word.replace( '\'', '\0' ) );
			i++;
		}
			output = stringBuffer.toString();
	}

	public Vector getSingleLetter(){
		return singleLetter;
	}

	public Vector getDoubleLetter(){
		return doubleLetter;
	}

	public String getStrippedOutput(){
		return output;
	}

}
