package locasto.monocrack;

public class CharCounter{

	private int [] frequency = new int[ 26 ];
	private int [] textCounter = new int[ 26 ];

	public CharCounter(){}

	public void process( String input ){

		int totalTextLetters=0;
		char [] c = input.toCharArray();

		for( int i=0;i<c.length;i++ ){
			if( Character.isLetter( c[ i ] ) ){
				textCounter[ ((int)c[i]-65) ]+=1;
				totalTextLetters++;
			}
		}
		
		for( int i=0;i<26;i++ ){
			frequency[ i ] = (int)((textCounter[i]*100)/totalTextLetters);
		}

	}

	public int [] getFrequency(){
		return frequency;
	}

}